# Query Payment Fields

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/payment/query-fields`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id</td><td>long</td><td>Merchant ID</td></tr><tr><td>bank_country<mark style="color:red;">*</mark></td><td>string</td><td>Country Code</td></tr><tr><td>receive_currency<mark style="color:red;">*</mark></td><td>string</td><td> Receive Currency</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Pay Type </p><p>Refer to <a href="/pages/3NVQck9ySQfOAf9171Fr">Payment Type</a></p></td></tr><tr><td>account_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account Type</p><p>Refer to <a href="/pages/Y1e2AO75TEu30Li0z7uB">Account Type</a></p></td></tr><tr><td>payee_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Payee Type </p><p>Refer to <a href="/pages/2ZEc7SpMUkYyoMWeLwbV">Payee Type</a></p></td></tr></tbody></table>

{% hint style="info" %}

{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>bank_country<mark style="color:red;">*</mark></td><td>string</td><td>Receive Country</td></tr><tr><td>receive_currency<mark style="color:red;">*</mark></td><td>string</td><td>Receive Currency</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>integer</td><td>Pay Type</td></tr><tr><td>account_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account type,</p><p>Refer to <a href="/pages/uvyMYfqhcp6ClESkmT4Z">Account Type</a></p></td></tr><tr><td>payee_type<mark style="color:red;">*</mark></td><td>integer</td><td>Payee Type</td></tr><tr><td>payee_required_fields[0].field</td><td>string</td><td>Field</td></tr><tr><td>payee_required_fields[0].name</td><td>string</td><td>Name</td></tr><tr><td>payee_required_fields[0].required</td><td>boolean</td><td>required</td></tr><tr><td>payee_required_fields[0].rule</td><td>string</td><td>rule</td></tr></tbody></table>

{% tabs %}
{% tab title="payee\_required\_fields" %}
\[\
{\
"field": "bicSwift",\
"name": "BIC/SWIFT Code",\
"required": true,\
"rule": "^\[0-9A-Z]{8}$|^\[0-9A-Z]{11}$",\
"type": "swift"\
},\
{\
"field": "accountNumber",\
"name": "Account Number",\
"required": true,\
"rule": "^\[0-9A-Z]{1,50}$"\
},\
{\
"field": "beneficiaryCompanyName",\
"name": "beneficiary Company Name",\
"required": true,\
"rule": "^.{2,128}$"\
},\
{\
"field": "beneficiaryAddress",\
"name": "Beneficiary Address",\
"required": true,\
"rule": "^.{2,64}$"\
},\
{\
"field": "beneficiaryCity",\
"name": "Beneficiary City",\
"required": true,\
"rule": "^.{2,64}$"\
},\
{\
"field": "beneficiaryCountry",\
"name": "Beneficiary Country",\
"required": true,\
"type": "country"\
},\
{\
"field": "beneficiaryStateOrProvince",\
"name": "Beneficiary State Or Province",\
"required": true,\
"rule": "^.{2,64}$"\
},\
{\
"field": "beneficiaryPostalCode",\
"name": "Beneficiary Postal Code",\
"required": false,\
"rule": "^\[A-Za-z0-9\s\\-]{2,10}$"\
}\
]
{% endtab %}
{% endtabs %}

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/payment/query-fields' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/payment/query-payment-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
